Share via


Web Apps - List Site Extensions

Description for Get list of siteextensions for a web site, or a deployment slot.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/siteextensions?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Site name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SiteExtensionInfoCollection

Azure operation completed successfully.

404 Not Found

The server cannot find the requested resource.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

SiteExtensionInfo

Site Extension Information.

SiteExtensionInfoCollection

Collection of Kudu site extension information elements.

SiteExtensionType

Site extension type.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

SiteExtensionInfo

Site Extension Information.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.authors

string[]

List of authors.

properties.comment

string

Site Extension comment.

properties.description

string

Detailed description.

properties.download_count

integer (int32)

Count of downloads.

properties.extension_id

string

Site extension ID.

properties.extension_type

SiteExtensionType

Site extension type.

properties.extension_url

string

Extension URL.

properties.feed_url

string

Feed URL.

properties.icon_url

string

Icon URL.

properties.installed_date_time

string (date-time)

Installed timestamp.

properties.installer_command_line_params

string

Installer command line parameters.

properties.license_url

string

License URL.

properties.local_is_latest_version

boolean

true if the local version is the latest version; false otherwise.

properties.local_path

string

Local path.

properties.project_url

string

Project URL.

properties.provisioningState

string

Provisioning state.

properties.published_date_time

string (date-time)

Published timestamp.

properties.summary

string

Summary description.

properties.title

string

properties.version

string

Version information.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SiteExtensionInfoCollection

Collection of Kudu site extension information elements.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

SiteExtensionInfo[]

The SiteExtensionInfo items on this page

SiteExtensionType

Site extension type.

Value Description
Gallery
WebRoot

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.